Package tigase.cluster.strategy

## Class ConnectionRecord

- java.lang.Object
- - tigase.cluster.strategy.ConnectionRecord

- All Implemented Interfaces:
    `java.lang.Comparable<ConnectionRecord>`, `ConnectionRecordIfc`

      public class ConnectionRecord
      extends java.lang.Object
      implements ConnectionRecordIfc, java.lang.Comparable<ConnectionRecord>

  Author:
    Artur Hefczyc Created Mar 15, 2011

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConnectionRecord()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(ConnectionRecord rec)` |
    `boolean` | `equals​(java.lang.Object rec)` |
    `JID` | `getConnectionId()` |
    `JID` | `getNode()` |
    `java.lang.String` | `getSessionId()` |
    `JID` | `getUserJid()` |
    `int` | `hashCode()` |
    `void` | `setConnectionId​(JID connectionId)` |
    `void` | `setElement​(Element elem)` |
    `void` | `setRecordFields​(JID node, JID userJid, java.lang.String sessionId, JID connectionId)` |
    `Element` | `toElement()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionRecord

          public ConnectionRecord()

  - ### Method Detail

    - #### compareTo

          public int compareTo​(ConnectionRecord rec)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ConnectionRecord>`

    - #### equals

          public boolean equals​(java.lang.Object rec)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toElement

          public Element toElement()

      Specified by:
        `toElement` in interface `ConnectionRecordIfc`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getConnectionId

          public JID getConnectionId()

      Specified by:
        `getConnectionId` in interface `ConnectionRecordIfc`

    - #### setConnectionId

          public void setConnectionId​(JID connectionId)

    - #### getNode

          public JID getNode()

      Specified by:
        `getNode` in interface `ConnectionRecordIfc`

    - #### getSessionId

          public java.lang.String getSessionId()

      Specified by:
        `getSessionId` in interface `ConnectionRecordIfc`

    - #### getUserJid

          public JID getUserJid()

      Specified by:
        `getUserJid` in interface `ConnectionRecordIfc`

    - #### setElement

          public void setElement​(Element elem)

      Specified by:
        `setElement` in interface `ConnectionRecordIfc`

    - #### setRecordFields

          public void setRecordFields​(JID node,
                                      JID userJid,
                                      java.lang.String sessionId,
                                      JID connectionId)

      Specified by:
        `setRecordFields` in interface `ConnectionRecordIfc`